<component-section>
  <div slot="title">OW-3 Architectural Significant Requirements</div>
  <component-intendedlearningoutcomes>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt
      <strong>quality attribute requirement</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt
      <strong>quality attribute scenario</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt <strong>algemene quality attribute scenario's</strong>, het gebruik en de beperkingen
      uit.</component-intendedlearningoutcome
    >
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt <strong>standaarden</strong> voor het beschrijven van
      <strong>quality attributes</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs"]'
      >legt de <strong>quality model</strong>s uit van ISO/IEC/IEEE 25010:2011</component-intendedlearningoutcome
    >
  </component-intendedlearningoutcomes>
  <component-section>
    <div slot="title">Quality Model</div>
    <figure>
      <figcaption>Het product quality model in ISO 25010</figcaption>
      <img alt="Product quality model" src="bron/material/iso_25010.png" />
    </figure>
  </component-section>
  <component-section>
    <div slot="title">Bestuderen</div>
    <p class="bron">
      <abbr title="Nuseibeh, B. (2001). Weaving Together Requirements and Architectures. Computer, 34(3), 115-117">
        <a href="bron/material/Nuseibeh_TwinPeaksModel.pdf"
          >Weaving Together Requirements and Architectures - pp. 115-117</a
        >
      </abbr>
    </p>
    <p class="bron">
      <abbr
        title="Kruchten, P. (2008). Controversy Corner: What do software architects really do?. Journal of Systems and Software, 81(12), 2413-2416">
        <a href="bron/material/Kruchten_WhatArchitectsDo.pdf">What do software architects really do - pp. 101-110</a>
      </abbr>
    </p>
    <p class="bron">
      <a href="bron/material/ISO_IEC_IEEE_25010.pdf">ISO_IEC_IEEE_25010</a>
    </p>
    <p class="bron">
      <cite data-id="6867189/KRJVJXEU" data-label="chapter" data-locator="4"> Software Architecture in Practice</cite>
    </p>
  </component-section>
  <component-section>
    <div slot="title">Oefening 1</div>
    <component-exercise>
      <p class="bron">Lees HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></p>
      <ol>
        <li>Benoem de stakeholders voor deze applicatie.</li>
        <li>Maak een initiele schets van het systeem.</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">Oefening 2</div>
    <component-exercise>
      <p><strong>Welke Quality attribute(s) behoort bij onderstaande vereiste:</strong></p>
      <ul>
        <li>Het systeem heeft een uptime van 99%</li>
        <li>Performance dient consistent 24x7 te zijn over de gehele wereld</li>
        <li>Het systeem dient een gemiddeld storingsvrije operatie te hebben boven 2000 uur</li>
        <li>Het systeem dient een audit trail bij te houden</li>
        <li>Het systeem dient bij te houden welk persoon een bepaalde actie heeft goedgekeurd</li>
      </ul>
    </component-exercise>
    <component-exercise>
      <p class="bron">
        <a href="/SKA/#sec_3.3.2.4">Lees de paragraaf Vereisten uit HandsOn: Software Trendanalyse Dashboard</a>
      </p>
      <p>Benoem minimaal 3 non-functional requirements voor deze applicatie.</p>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">Oefening 3</div>
    <component-exercise>
      <p><strong>Het Trendanalyse Dashboard heeft deze vereiste:</strong></p>
      <p>
        <em
          >“Het systeem moet in de toekomst kunnen worden uitgebreid met het aantal geregistreede en "concurrent"
          gebruikers.”</em
        >>
      </p>
      <ul>
        <li>Tot welke AQ(s) behoort deze vereiste?</li>
        <li>Hoe kunnen deze concreter worden omschreven in de vorm van meerdere QA scenarios?</li>
        <li>
          Omschrijf een testsituatie die kan worden gedefinieerd om de QA scenarios die je omschreven hebt te kunnen
          testen.
        </li>
      </ul>
    </component-exercise>
    <component-exercise>
      <p>
        <strong
          >Lees de volgende requirements voor het importeren van bankafschriften via een MT940s bestand uit een
          Boekhoudapplicatie:</strong
        >
      </p>
      <p>
        <em
          >“Het automatisch importeren van bankafschriften vindt plaats via een batchjob op de webservers. Als deze job
          is gestart mag er geen andere job gestart worden voor het betreffende bankboek. Indien de job langer als 5
          minuten duurt, dient deze te worden afgebroken en te worden gerapporteerd. In het geval van een fout in de
          verwerking of fout in bestand wordt de job afgebroken, gerapporteerd en kan er geen andere job voor dit
          bankboek worden gestart totdat de fout is verholpen.”</em
        >
      </p>
      <p>Beschrijf minimaal 2 quality attribute scenarios met alle 6 de onderdelen.</p>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">👨‍🏫 Presentatie</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW3.pdf">Lesweek 3</a>
      </li>
    </ul>
  </component-section>
</component-section>
